#
# spec file for package kdnssd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdnssd
BuildRequires:  libkde4-devel
Version:        4.11.97
Release:        0
Summary:        Zeroconf Support for KDE
License:        GPL-2.0+
Group:          Productivity/Networking/System
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
This package contains the Zeroconf support for KDE.

%prep
%setup -q -n %{name}-%{version}

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  make

%install
  cd build
  %makeinstall 
  cd ..
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC 
%{_kde4_modulesdir}/kded_dnssdwatcher.so
%{_kde4_modulesdir}/kio_zeroconf.so
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%{_kde4_appsdir}/remoteview/
%{_kde4_servicesdir}/zeroconf.protocol
%{_kde4_servicesdir}/kded/dnssdwatcher.desktop

%changelog
